package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class EditProfitRatioConfigParams implements Serializable {

    private static final long serialVersionUID = 1560070976943307796L;

    @NotNull(message = "主键不能为空")
    private Long id;

    @Min(value = 0, message = "比例不能小于0")
    @Max(value = 100, message = "比例不能大于100")
    private int ratio;

    @Min(value = 0, message = "数量不能小于0")
    private int num;

    @NotNull(message = "状态不能为空")
    private Integer status;

    /**
     * 前端不传
     */
    private Long userId;
}
