package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class EditRankAwardConfigParams implements Serializable {

    private static final long serialVersionUID = 1560070976943307796L;

    /**
     * 排名名称
     */
    private String name;

    @NotNull(message = "主键不能为空")
    private Long id;

    /**
     * 类型：0-年；1-季；2-月；3-周；4-日  暂时默认传2
     */
    private Integer type = 2;

    /**
     * 平台类型：1-用户；2-商家  暂时默认传2
     */
    private Integer platformType = 2;

    /**
     * 排名
     */
    @Min(value = 1, message = "排名不能小于1")
    @NotNull(message = "排名不能为空")
    private Integer rank;

    /**
     * 平台抽佣比例
     */
    @NotNull(message = "平台抽佣比例不能为空")
    @Min(value = 0, message = "平台抽佣比例不能小于0")
    @Max(value = 100, message = "平台抽佣比例不能大于100")
    private Integer commissionRatio;

    /**
     * 区域等级：0-国家；1-省；2-市；3-区
     */
    @NotNull(message = "区域等级不能为空")
    private Integer regionLevel;

    /**
     * 奖金比例
     */
    @NotNull(message = "奖金比例不能为空")
    @Min(value = 0, message = "奖金比例不能小于0")
    @Max(value = 100, message = "奖金比例不能大于100")
    private Integer ratio;

    @NotNull(message = "状态不能为空")
    private Integer status;

    /**
     * 前端不传
     */
    private Long userId;
}
