package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import com.chelvc.cloud.vehicle.api.param.AddGoodsCommentParam;
import com.chelvc.cloud.vehicle.api.param.CommentQueryParam;

import java.util.List;

/**
 * 商家评论业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface CommentService {
    /**
     * 获取商品评价列表
     *
     * @param goodsId 商品ID
     * @param parentId   父级评论id
     * @param merchantId   商户id
     * @param param   查询参数
     * @return 评价列表
     */
    List<CommentDTO> listGoodsComments(Long goodsId, Long parentId, Long merchantId, CommentQueryParam param);

    /**
     * 新增商品评价
     *
     * @param param   新增参数
     * @param userId  用户标识
     */
    void addGoodsComments(AddGoodsCommentParam param, Long userId);
}
