package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.FeedBackDTO;
import com.chelvc.cloud.vehicle.api.param.FeedBackModifyParam;
import com.chelvc.cloud.vehicle.api.param.FeedBackPagingParam;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 意见反馈接口
 *
 * @author liude
 * @data 2024/1/12
 */
public interface FeedbackService {

    /**
     * 新增意见反馈
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addFeedback(FeedBackModifyParam param);

    /**
     * 修改意见反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateFeedback(Long id, FeedBackModifyParam param);

    /**
     * 获取意见反馈信息
     * @return
     */
    List<FeedBackDTO> getFeedback(String channel);

    /**
     * 意见反馈分页查询
     * @param param
     * @return
     */
    Pagination<FeedBackDTO> getFeedbackPaging(FeedBackPagingParam param);

    /**
     * 更新意见反馈状态
     * @param id
     * @param status
     */
    void updateStatus(Long id,String status);
}
