package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.HelpCategoryDTO;
import com.chelvc.cloud.vehicle.api.dto.HelpDTO;
import com.chelvc.cloud.vehicle.api.param.HelpCategoryModifyParam;
import com.chelvc.cloud.vehicle.api.param.HelpCategoryPagingParam;
import com.chelvc.cloud.vehicle.api.param.HelpPagingParam;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 帮助分类Service接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface IHelpCategoryService 
{
    /**
     * 查询帮助分类
     * 
     * @param id 帮助分类主键
     * @return 帮助分类
     */
    public HelpCategoryDTO selectHelpCategoryById(Long id);

    /**
     * 查询帮助分类列表
     * 
     * @param helpCategory 帮助分类
     * @return 帮助分类集合
     */
    public List<HelpCategoryDTO> selectHelpCategoryList(HelpCategoryModifyParam helpCategory);

    /**
     * 新增帮助分类
     * 
     * @param helpCategory 帮助分类
     * @return 结果
     */
    public void insertHelpCategory(HelpCategoryModifyParam helpCategory);

    /**
     * 修改帮助分类
     * 
     * @param helpCategory 帮助分类
     * @return 结果
     */
    public void updateHelpCategory(Long id,HelpCategoryModifyParam helpCategory);


    /**
     * 删除帮助分类信息
     * 
     * @param id 帮助分类主键
     * @return 结果
     */
    public void deleteHelpCategoryById(Long id);

    /**
     * 分页查询帮助分类列表
     * @param param
     * @return
     */
    Pagination<HelpCategoryDTO> getHelpCategoryPaging(HelpCategoryPagingParam param);


    /**
     * 查询帮助分类列表
     *
     * @return 帮助分类集合
     */
    public List<HelpCategoryDTO> selectHelpCategories();
}
